/*
   OpenWebDesigner
   
   Copyright 2014 Romanov Viktor <bimark2124@gmail.com>
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
   MA 02110-1301, USA.
   
   
*/	
			function cssClass(elem,allCSS) {//Класс для работы с CSS Это свежатина
			var self=this;
			this.elem=elem;
			this.allCSS=allCSS;
			this.parseCSS=function() {
				return Object.keys(allCSS).sort();	
			}
			this.hashOldCSS=function() {
				var objOldCSS={};
				var masOldCSS=window.getComputedStyle(self.elem,null);
				for(var i=0;i<masOldCSS.length;i++){
					objOldCSS[masOldCSS[i]]=masOldCSS[masOldCSS[i]];
				}
				return objOldCSS;
			}
			this.hashNowCSS=function() {
				var objNowCSS={};
				var stringNowCSS=self.elem.getAttribute("style");
				var masStringCSS=stringNowCSS.split(";");
				for(var i=0;i<masStringCSS.length-1;i++){
					var mas=masStringCSS[i].split(":");
					objNowCSS[mas[0]]=mas[1];
				}
				//var masNowCSS=self.elem.style;
				//for(var i=0;i<masNowCSS.length;i++) {
					//objNowCSS[masNowCSS[i]]=masNowCSS.getPropertyValue(masNowCSS[i]);
					//objNowCSS[masNowCSS[i]]=masNowCSS[masNowCSS[i]];
				//}
				return objNowCSS;
			}
			this.delCSS=function() {
					var indx=this.selectedIndex;
					var nowVal=this.item(indx).textContent;
					if(nameAttrs!=nowVal) {
						self.elem.style.removeProperty(nameAttrs);
						nameAttrs=nowVal;
					}
					this.nextElementSibling.value="";
			}
			this.goCSS=function() {
					var val=this.value;
					var preNode=this.previousElementSibling;
					var inxSel=preNode.selectedIndex;
					var cont=preNode.item(inxSel).textContent;
					self.elem.style.setProperty(cont,val,"");
			}
		}
		function attrClass(elem,masTag) {//Класс для работы с атрибутами
				var self=this;
				this.elem=elem;
				this.masTag=masTag;
				this.parseTagAttributes=function() {
					var tagN=this.elem.tagName.toLowerCase();
					if(this.masTag[tagN]==undefined){
						return this.masTag["*"];
					}else{
						return this.masTag["*"].concat(this.masTag[tagN]);
					}
				}
				this.hashOldAttr=function() {
					var list=this.elem.attributes;
					var listLen=list.length;
					var newObj={};
					for(var i=0;i<listLen;i++) {
						newObj[list[i].localName]=list[i].value;
					}
					return newObj;
				}
				this.delAttr=function() {
					var indx=this.selectedIndex;
					var nowVal=this.item(indx).textContent;
					if(nameAttrs!=nowVal) {
						self.elem.removeAttribute(nameAttrs);
						nameAttrs=nowVal;
					}
					this.nextElementSibling.value="";
				}
				this.goAttr=function() {
					var val=this.value;
					var preNode=this.previousElementSibling;
					var inxSel=preNode.selectedIndex;
					var cont=preNode.item(inxSel).textContent
					self.elem.setAttribute(cont,val);
				}
		}
		function menuGenerator(divi) {// класс генератор меню
				var self=this;
				this.div=divi;
				this.listOldOption=null;
				this.listOption=null;
				this.savePreviousValue=function() {
					var indx=this.selectedIndex;
					var valOpt=this.item(indx).textContent;
					nameAttrs=valOpt;
				}
				this.addOption=function() {
					//var lis=this.innerHTML="";//КОСТЫЛЬ ДЛЯ УДАЛЕНИЯ ПРЕДЫДУЩИХ ЭЛЕМЕНТОВ
					var len=self.listOption.length;
					for(var i=0;i<len;i++) {
						var opt=document.createElement("option");
						var textOpt=document.createTextNode(self.listOption[i]);
						opt.appendChild(textOpt);
						this.add(opt);
					}
					this.removeEventListener("click",self.addOption);
					
				}
				this.creatAttr=function(optName,optValue,func1,func2,values) {
					var parentN=document.createElement("div");
					var nameAttr=document.createElement("select");
					var optAttr=document.createElement("option");
					var textOptAttr=document.createTextNode(optName);
					optAttr.appendChild(textOptAttr);
					nameAttr.appendChild(optAttr);
					var br=document.createElement("br");
					var forma=document.createElement("input");
					forma.type="text";
					forma.setAttribute("list","xxx2");
					forma.value=optValue;
					parentN.appendChild(nameAttr);
					parentN.appendChild(forma);
					parentN.appendChild(br);
					var lastChildNode=self.div.lastChild;
					self.div.insertBefore(parentN,lastChildNode);
					nameAttr.addEventListener("click",self.addOption,false);
					nameAttr.addEventListener("click",self.savePreviousValue,false);
					nameAttr.addEventListener("change",func2,false);
					forma.addEventListener("change",func1,false);
					forma.addEventListener("focus",function(e){
						var inx=this.previousElementSibling.item(this.previousElementSibling.selectedIndex).textContent;
						if(inx in values){//values - список возвожных значений свойств
							for(var i=0;i<values[inx].length;i++){
								var newO=document.createElement("option");
								var newT=document.createTextNode(values[inx][i]);
								newO.appendChild(newT);
								datal.appendChild(newO);//ссылка на datalist
							}
						}
					},false);
					forma.addEventListener("blur",function(){
						datal.innerHTML="";
					},false);
				}
				this.attr=function(func1,func2,values) {//listOption-список возможных свойств
					for(var key in self.listOldOption) {
						self.creatAttr(key,self.listOldOption[key],func1,func2,values);
					}
					var formaCreat=document.createElement("input");
					formaCreat.type="button";
					formaCreat.value="+";
					formaCreat.addEventListener("click",function() {self.creatAttr("","",func1,func2,values);},false)
					self.div.appendChild(formaCreat);
				}
		}
		var nameAttrs=null;
