/*
   OpenWebDesigner
   
   Copyright 2014 Romanov Viktor <bimark2124@gmail.com>
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
   MA 02110-1301, USA.
   
   
*/
		function Parser(urlShabl) {
			var self=this;
			this.urlShabl=urlShabl;
			this.shablObj=function() {
				var docXML=new XMLHttpRequest();
				docXML.open("GET",this.urlShabl,false);
				docXML.send(null);
				return docXML.responseXML;
			}
			this.getShablList=function() {
				var masShablList=[];
				var DOMShabl=this.shablObj();
				var shablElemList=DOMShabl.getElementsByTagName("body")[0].children;
				for(var i=0;i<shablElemList.length;i++) {
					masShablList.push(shablElemList[i].tagName);
				}
				return masShablList;
			}
			this.getElemInShabl=function(tagNam) {
				var DOMShabl=this.shablObj();
				var shablElemList=DOMShabl.getElementsByTagName("body")[0].children;
				for(var i=0;i<shablElemList.length;i++) {
					if(shablElemList[i].tagName==tagNam) {
						return shablElemList[i].cloneNode(true);
					}
				}
			}
			this.editorElement=function(tagName,len,currentEl,shablNode) {
				var shablParentTagName=shablNode.getElementsByTagName(tagName)[0].parentNode.tagName;
				var masParentTagElement=[];
				if(shablParentTagName==currentEl.tagName.toLowerCase()) {
					masParentTagElement[0]=currentEl;
				}else {
					masParentTagElement=currentEl.getElementsByTagName(shablParentTagName);
				}
				var lengthMasParentTagElement=masParentTagElement.length;
				for(var i=0;i<lengthMasParentTagElement;i++) {
					var oldLen=masParentTagElement[i].getElementsByTagName(tagName).length;
					if(len<oldLen) {
						var razn=oldLen-len;
						for(var j=0;j<razn;j++) {
							var tagMas=masParentTagElement[i].getElementsByTagName(tagName);
							var lenMas=tagMas.length;
							masParentTagElement[i].removeChild(tagMas[lenMas-1]);
						}
					}else if(len>oldLen) {
						var razn=len-oldLen;
						var newCh=shablNode.getElementsByTagName(tagName)[0];
						for(var j=0;j<razn;j++) {
							var masParChLen=masParentTagElement[i].getElementsByTagName(tagName);
							var newCh2=newCh.childElementCount?newCh.cloneNode(false):newCh.cloneNode(true);
							var masParChLen2=masParChLen.length;
							var los=masParChLen[masParChLen2-1];
							masParentTagElement[i].insertBefore(newCh2,los?los.nextElementSibling:los);
						}
					}
				}
			}
			this.structElem=function(elem) {
				var mas=elem.querySelectorAll("*");
				var len=mas.length;
				var okObj={};
				for(var i=0;i<len;i++) {
					if(mas[i].tagName in okObj) {
						;
					}else {
						okObj[mas[i].tagName]=0;
					}
				}
				for(var key in okObj) {
					var tag=elem.querySelector(key);
					var lenTag=tag.parentNode.querySelectorAll(key).length;
					okObj[key]=lenTag;
				}
				return okObj;
			}
		}
		function creatSelect(sel) {
			var objPars=new Parser("config/elemShab.html");
			var listShabl=objPars.getShablList();
			for(var i=0;i<listShabl.length;i++) {
				var opt=document.createElement("option");
				var textOpt=document.createTextNode(listShabl[i]);
				opt.appendChild(textOpt);
				sel.appendChild(opt);
			}
			/*sel.addEventListener("change",function() {
					var indx=this.selectedIndex;
					var valueSel=this.item(indx).textContent;
					var newElem=objPars.getElemInShabl(valueSel);
					var newElem2=newElem.cloneNode(true);
					var obj=objPars.structElem(newElem);
					var windowValue=window.showModalDialog("modal_dialog_editElem.html",obj,"");
					if(windowValue!=="") {
						for(var key in windowValue) {
							objPars.editorElement(key,windowValue[key],newElem2,newElem);
						}
					}
					copyElem[0]=newElem2;
			},false);
			divi.appendChild(sel);*/
		}
		function newEl(el1,la){
			var objPars=new Parser("config/elemShab.html");
			var indx=la.previousElementSibling.selectedIndex;
			var valueSel=la.previousElementSibling.item(indx).textContent;
			var newElem=objPars.getElemInShabl(valueSel);
			var newElem2=newElem.cloneNode(true);
			el1.appendChild(newElem2);
		}
