/*
   OpenWebDesigner
   
   Copyright 2014 Romanov Viktor <bimark2124@gmail.com>
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
   MA 02110-1301, USA.
   
   
*/
var valueCSS={
	"background-attachment":["fixed","scroll","inherit"],
	"background-color":["transparent","inherit"],
	"background-image":["none","inherit"],
	"background-origin":["padding-box","border-box","content-box"],
	"background-repeat":["no-repeat","repeat","repeat-x","repeat-y","space","round","inherit"],
	"background-size":["auto","cover","contain"],
	"border":["inherit"],
	"bottom":["auto","inherit"],
	"box-sizing":["content-box","border-box","padding-box","inherit"],
	"caption-side":["top","bottom"],
	"clear":["none","both","left","right","inherit"],
	"clip":["auto","inherit"],
	"color":["inherit"],
	"column-count":["auto"],
	"column-gap":["normal"],
	"column-rule":["dotted","dashed","solid","double","groove","ridge","inset","outset"],
	"column-width":["auto"],
	"cursor":["auto","inherit","default","crosshair","help","move","pointer","progress","text","wait","n-resize","ne-resize","e-resize","se-resize","s-resize","sw-resize","w-resize","nw-resize"],
	"direction":["ltr","rtl","inherit"],
	"display":["block","inline","inline-block","inline-table","list-item","none","run-in","table","table-caption","table-cell","table-column","table-column-group","table-footer-group","table-header-group","table-row","table-row-group"],
	"empty-cells":["show","hide"],
	"float":["left","right","none","inherit"],
	"font":["caption","icon","menu","message-box","small-caption","status-bar"],
	"font-style":["normal","italic","oblique","inherit"],
	"font-variant":["normal","small-caps","inherit"],
	"font-weight":["normal","lighter","bolder","bold","100","200","300","400","500","600","700","800","900"],
	"hight":["inherit"],
	"left":["auto","inherit"],
	"letter-spacing":["normal","inherit"],
	"line-height":["normal","inherit"],
	"list-style":["inherit"],
	"list-style-image":["none","inherit"],
	"list-style-position":["inside","outside"],
	"list-style-type":["circle","disc","square","armenian","decimal","decimal","decimal-leading-zero","georgian","lower-alpha","lower-greek","lower-latin","lower-roman","upper-alpha","upper-latin","upper-roman","none","inherit"],
	"margin":["auto","inherit"],
	"margin-bottom":["auto","inherit"],
	"margin-left":["auto","inherit"],
	"margin-right":["auto","inherit"],
	"margin-top":["auto","inherit"],
	"opacity":["0.1","0.2","0.3","0.4","0.5","0.6","0.7","0.8","0.9","1"],
	"orphans":["inherit"],
	"outline":["outline-color","outline-style","outline-width","inherit"],
	"outline-color":["invert","inherit"],
	"outline-style":["none","dotted","dashed","solid","double","groove","ridge","inset","outset","inherit"],
	"outline-width":["thin","medium","thick","inherit"],
	"overflow":["visible","hidden","scroll","auto","inherit"],
	"overflow-x":["visible","hidden","scroll","auto"],
	"overflow-y":["visible","hidden","scroll","auto"],
	"padding":["inherit"],
	"page-break-after":["auto","always","avoid","left","right","inherit"],
	"page-break-before":["auto","always","avoid","left","right","inherit"],
	"page-break-inside":["auto","avoid","inherit"],
	"position":["absolute","fixed","relative","static","inherit"],
	"quotes":["none","inherit"],
	"resize":["none","both","horizontal","vertical","inherit"],
	"right":["auto","inherit"],
	"table-layout":["auto","fixed","inherit"],
	"text-align":["center","justify","left","right","auto","inherit","start","end"],
	"text-align-last":["start","end","left","right","center","justify"],
	"text-decoration":["blink","line-through","overline","underline","none","inherit"],
	"text-indent":["inherit"],
	"text-overflow":["clip","ellipsis"],
	"text-transform":["capitalize","lowercase","uppercase","none","inherit"],
	"top":["auto","inherit"],
	"unicode-bidi":["normal","embed","bidi-override","inherit"],
	"vertical-align":["baseline","bottom","middle","sub","super","text-bottom","text-top","top","inherit"],
	"visibility":["visible","hidden","collapse","inherit"],
	"white-space":["normal","nowrap","pre","pre-line","pre-wrap","inherit"],
	"widows":["inherit"],
	"width":["auto","inherit"],
	"word-break":["normal","break-all","keep-all"],
	"word-spacing":["normal","inherit"],
	"writing-mode":["lr-tb","rl-tb","tb-rl","bt-rl","tb-lr","bt-lr"],
	"z-index":["auto","inherit"],
	"position":["absolute","relative","fixed"],
	"text-decoration":["overline","underline","inline"]
}
